Bug 1714615 - 500 internal Server Error on url /api/notifications
Summary: 500 internal Server Error on url /api/notifications
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.9.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.6
Assignee: drew uhlmann
QA Contact: Parthvi Vala
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1700378
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-28 13:04 UTC by Satoe Imaishi
Modified: 2019-11-29 03:21 UTC (History)
8 users (show)

Fixed In Version: 5.10.6.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1700378
Environment:
Last Closed: 2019-07-02 04:33:27 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1644 None None None 2019-07-02 04:33:36 UTC

Comment 2 drew uhlmann 2019-05-28 15:47:06 UTC
Hey Keenan, can the original thingamabobbers get backported to Hammer for this, s'il vous plait?

Comment 3 drew uhlmann 2019-05-30 14:19:02 UTC
https://github.com/ManageIQ/manageiq/pull/18817

Comment 4 CFME Bot 2019-06-10 13:35:56 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/4d81c38dbd47a5f27e080220c49b708a139cb605
commit 4d81c38dbd47a5f27e080220c49b708a139cb605
Author:     Keenan Brock <keenan@thebrocks.net>
AuthorDate: Thu May  9 16:01:12 2019 -0400
Commit:     Keenan Brock <keenan@thebrocks.net>
CommitDate: Thu May  9 16:01:12 2019 -0400

    specify virtual_delegate types to avoid deadlock

    deriving the attribute type for delegates required the target
    class to be loaded.
    This forced a cascade of load_schema calls that end up
    introducing a race condition.

    This PR explicitly declares the attribute type so the target class
    no longer needs to be loaded and the race condition
    (and subsequent deadlocks) are avoided.

    https://bugzilla.redhat.com/show_bug.cgi?id=1714615
    This is based upon:

    - https://github.com/ManageIQ/activerecord-virtual_attributes/pull/21
    - https://github.com/ManageIQ/manageiq/pull/18798
 app/models/entitlement.rb | 2 +-
 app/models/host.rb | 12 +-
 app/models/miq_group.rb | 2 +-
 app/models/miq_product_feature.rb | 2 +-
 app/models/miq_report_result.rb | 2 +-
 app/models/miq_server.rb | 2 +-
 app/models/miq_widget.rb | 4 +-
 app/models/mixins/ownership_mixin.rb | 4 +-
 app/models/vm_or_template.rb | 24 +-
 lib/extensions/ar_virtual.rb | 5 +-
 spec/lib/extensions/ar_virtual_spec.rb | 31 +
 11 files changed, 61 insertions(+), 29 deletions(-)

Comment 5 Keenan Brock 2019-06-10 14:45:55 UTC
on hammer

Comment 6 Parthvi Vala 2019-06-14 15:03:53 UTC
FIXED. Verified on 5.10.6.0.

Comment 8 errata-xmlrpc 2019-07-02 04:33:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1644


Note You need to log in before you can comment on or make changes to this bug.